import { GlobeSurfaceTileProvider } from "./GlobeSurfaceTileProvider";
export interface IQuadtreePrimitiveOption {
    tileProvider: GlobeSurfaceTileProvider;
}
export declare class QuadtreePrimitive {
    private _tilesToRender;
    private _levelZeroTiles;
    tileCacheSize: number;
    private _tileProvider;
    constructor(options: IQuadtreePrimitiveOption);
    get tileProvider(): any;
    selectTilesForRendering(frameState: any): void;
    update(): void;
}
